Skip to main content
`Ctrl`+`K`

# MatResetHash

Reset the matrix so that it will use a hash table for the next round of `MatSetValues()` and `MatAssemblyBegin()`/`MatAssemblyEnd()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatResetHash(Mat A)

Collective

## Input Parameter

- A - the matrix

## Notes

The matrix will again delete the hash table data structures after following calls to `MatAssemblyBegin()`/`MatAssemblyEnd()` with `MAT_FINAL_ASSEMBLY`.

Currently only supported for `MATAIJ` matrices.

## See Also

Matrices, `Mat`, `MatResetPreallocation()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Implementations

MatResetHash_MPIAIJ() in src/mat/impls/aij/mpi/mpiaij.c
MatResetHash_SeqAIJ() in src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages